Skip to navigation

List email history

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleOptionalDefaults to 1
Page Number
limitdoubleOptionalDefaults to 50
Number of items to return
filterstringOptional

Format: field:rule:value — comma-separated for multiple filters.

Fields: customerId (uuid): eq, in threadId (uuid): eq emailType (string): eq, in (one of: DEMO, PREVIEW, REMINDER, FIRST_INVOICE) to (string): like timestamp (datetime): gt, gte, lt, lte

Date-only values (YYYY-MM-DD) match the full UTC day.

Example: filter=customerId:eq:00000000-0000-0000-0000-000000000001

Response

Email history with bounce events
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings